import { describe, it, expect } from 'vitest';
import { getOrderTypeIcon } from './get-order-type-icon.helper';

describe('getOrderTypeIcon', () => {
  it('should return correct icon for Versand', () => {
    const result = getOrderTypeIcon('Versand');

    expect(result).toBe('isaDeliveryVersand');
  });

  it('should return correct icon for Abholung', () => {
    const result = getOrderTypeIcon('Abholung');

    expect(result).toBe('isaDeliveryRuecklage2');
  });

  it('should return correct icon for Rücklage', () => {
    const result = getOrderTypeIcon('Rücklage');

    expect(result).toBe('isaDeliveryRuecklage1');
  });

  it('should return default icon for unknown order type', () => {
    const result = getOrderTypeIcon('UnknownType');

    expect(result).toBe('isaDeliveryVersand');
  });
});
